Package org.jcsp.lang

# Class StandardConnectionFactory

java.lang.Object
org.jcsp.lang.StandardConnectionFactory

All Implemented Interfaces:
  `ConnectionArrayFactory`, `ConnectionFactory`

public class StandardConnectionFactory extends Object implements ConnectionFactory, ConnectionArrayFactory

Implements a factory for creating connections.

Author:
  Quickstone Technologies Limited

## Constructor Summary

Constructors
Constructor
Description
`StandardConnectionFactory()`

## Method Summary

Modifier and Type
Method
Description
`Any2AnyConnection`
`createAny2Any()`
Constructs and returns an implementation of `Any2AnyConnection`.
`Any2AnyConnection[]`
`createAny2Any(int n)`
Constructs and returns an array of instances of an implementation of `Any2AnyConnection`.
`Any2OneConnection`
`createAny2One()`
Constructs and returns an implementation of `Any2OneConnection`.
`Any2OneConnection[]`
`createAny2One(int n)`
Constructs and returns an array of instances of an implementation of `Any2OneConnection`.
`One2AnyConnection`
`createOne2Any()`
Constructs and returns an implementation of `One2AnyConnection`.
`One2AnyConnection[]`
`createOne2Any(int n)`
Constructs and returns an array of instances of an implementation of `One2AnyConnection`.
`One2OneConnection`
`createOne2One()`
Constructs and returns an implementation of `One2OneConnection`.
`One2OneConnection[]`
`createOne2One(int n)`
Constructs and returns an array of instances of an implementation of `One2OneConnection`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StandardConnectionFactory

public StandardConnectionFactory()

## Method Details

### createOne2One

public One2OneConnection createOne2One()
Description copied from interface: `ConnectionFactory`
Constructs and returns an implementation of `One2OneConnection`.

Specified by:
  `createOne2One` in interface `ConnectionFactory`
Returns:
  the constructed `One2OneConnection` object.
See Also:
  - `ConnectionFactory.createOne2One()`

### createAny2One

public Any2OneConnection createAny2One()
Description copied from interface: `ConnectionFactory`
Constructs and returns an implementation of `Any2OneConnection`.

Specified by:
  `createAny2One` in interface `ConnectionFactory`
Returns:
  the constructed `Any2OneConnection` object.
See Also:
  - `ConnectionFactory.createAny2One()`

### createOne2Any

public One2AnyConnection createOne2Any()
Description copied from interface: `ConnectionFactory`
Constructs and returns an implementation of `One2AnyConnection`.

Specified by:
  `createOne2Any` in interface `ConnectionFactory`
Returns:
  the constructed `One2AnyConnection` object.
See Also:
  - `ConnectionFactory.createOne2Any()`

### createAny2Any

public Any2AnyConnection createAny2Any()
Description copied from interface: `ConnectionFactory`
Constructs and returns an implementation of `Any2AnyConnection`.

Specified by:
  `createAny2Any` in interface `ConnectionFactory`
Returns:
  the constructed `Any2AnyConnection` object.
See Also:
  - `ConnectionFactory.createAny2Any()`

### createOne2One

public One2OneConnection[] createOne2One(int n)
Description copied from interface: `ConnectionArrayFactory`
Constructs and returns an array of instances of an implementation of `One2OneConnection`.

Specified by:
  `createOne2One` in interface `ConnectionArrayFactory`
Parameters:
  `n` - the number of `One2OneConnection` objects to construct.
Returns:
  the constructed array of `One2OneConnection` objects.
See Also:
  - `ConnectionArrayFactory.createOne2One(int)`

### createAny2One

public Any2OneConnection[] createAny2One(int n)
Description copied from interface: `ConnectionArrayFactory`
Constructs and returns an array of instances of an implementation of `Any2OneConnection`.

Specified by:
  `createAny2One` in interface `ConnectionArrayFactory`
Parameters:
  `n` - the number of `Any2OneConnection` objects to construct.
Returns:
  the constructed array of `Any2OneConnection` objects.
See Also:
  - `ConnectionArrayFactory.createAny2One(int)`

### createOne2Any

public One2AnyConnection[] createOne2Any(int n)
Description copied from interface: `ConnectionArrayFactory`
Constructs and returns an array of instances of an implementation of `One2AnyConnection`.

Specified by:
  `createOne2Any` in interface `ConnectionArrayFactory`
Parameters:
  `n` - the number of `One2AnyConnection` objects to construct.
Returns:
  the constructed array of `One2AnyConnection` objects.
See Also:
  - `ConnectionArrayFactory.createOne2Any(int)`

### createAny2Any

public Any2AnyConnection[] createAny2Any(int n)
Description copied from interface: `ConnectionArrayFactory`
Constructs and returns an array of instances of an implementation of `Any2AnyConnection`.

Specified by:
  `createAny2Any` in interface `ConnectionArrayFactory`
Parameters:
  `n` - the number of `Any2AnyConnection` objects to construct.
Returns:
  the constructed array of `Any2AnyConnection` objects.
See Also:
  - `ConnectionArrayFactory.createAny2Any(int)`